Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 2)
+++ palm/trunk/SOURCE/palm.f90	(revision 3)
@@ -12,32 +12,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: palm.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.10  2006/08/04 14:53:12  raasch
 ! Distibution of run description header removed, call of header moved behind
 ! init_3d_model
-!
-! Revision 1.9  2006/02/23 12:44:43  raasch
-! plot_.. renamed data_output_..
-!
-! Revision 1.8  2004/04/30 12:31:07  raasch
-! Missing cpp-instructions added, leap_frog changed to time_integration
-!
-! Revision 1.7  2003/05/09 14:46:49  raasch
-! String converted to integer before send via broadcast due to Linux MPICH
-! problem
-!
-! Revision 1.6  2003/03/16 09:42:17  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.5  2002/12/19 15:53:59  raasch
-! Routine local_tremain_ini moved from init_3d_model to here
-!
-! Revision 1.4  2001/08/21 09:53:35  raasch
-! comm_palm is now used as the global communicator since one PE maybe split from
-! MPI_COMM_WORLD for usage in dvrp-graphics
-!
-! Revision 1.3  2001/03/30 07:39:41  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.),
-! closing of unit 14 moved from routine write_3d_binary to this routine
 !
 ! Revision 1.2  2001/01/25 07:15:06  raasch
@@ -45,26 +23,4 @@
 ! Initialization of dvrp logging as well as exit of dvrp moved to new
 ! subroutines init_dvrp_logging and close_dvrp (file init_dvrp.f90)
-!
-! Revision 1.23  2001/01/05 15:13:51  raasch
-! +module spectrum
-!
-! Revision 1.22  2001/01/02 17:32:55  raasch
-! Subroutine close_files renamed to close_file, now called with an argument
-!
-! Revision 1.21  2000/12/28 13:32:16  raasch
-! Call of MPI_FINALIZE moved to the end of the program. At the beginning
-! comm2d is set to MPI_COMM_WORLD (it was undefined before).
-! Call of write_particles at the end. Open and close of DVRP-Software at the
-! beginning and at the end (optionally, by cpp-directives)
-!
-! Revision 1.20  2000/04/27 06:42:43  raasch
-! closing call to dvrp-software (if used) at the end of the run,
-! old revision remarks deleted
-!
-! Revision 1.19  2000/01/25 15:29:23  letzel
-! All comments translated into English
-!
-! Revision 1.18  1999/11/25 16:27:49  raasch
-! Bei Benutzung von VTK-Grafik wird Modell als UP in C++ - Programm eingebunden
 !
 ! Revision 1.1  1997/07/24 11:23:35  raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 2)
+++ palm/trunk/SOURCE/parin.f90	(revision 3)
@@ -4,9 +4,11 @@
 ! Actual revisions:
 ! -----------------
-! +netcdf_64bit_3d in d3par, revision history cleaned up
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+! +netcdf_64bit_3d in d3par,
+! RCS Log replace by Id keyword, revision history cleaned up
 !
 ! Revision 1.57  2007/02/11 13:11:22  raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 2)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: poisfft.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.24  2006/08/04 15:00:24  raasch
 ! Default setting of the thread number tn in case of not using OpenMP
@@ -15,11 +17,4 @@
 ! Additional compiler directive in routine tridia_1dd for preventing loop
 ! exchange on NEC-SX6
-!
-! Revision 1.22  2005/05/18 15:53:00  raasch
-! Missing argument in ffty
-!
-! Revision 1.21  2005/03/26 20:51:59  raasch
-! Use of module indices removed from routine split_1dd since it caused errors
-! in case of nx /= ny
 !
 ! Revision 1.20  2004/04/30 12:38:09  raasch
@@ -30,36 +25,4 @@
 ! is now a 1d-array, variables passed by modules instead of using parameter
 ! lists, enlarged transposition arrays introduced
-!
-! Revision 1.19  2003/04/16 13:11:16  raasch
-! Internal fft method calls substituted by calls of fft_x_1dd and fft_y_1dd
-!
-! Revision 1.18  2003/03/16 09:44:45  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.17  2003/03/12 16:36:34  raasch
-! System specific version for NEC included (equivalent to CRAY scilib
-! calls, but different subroutine names; the CRAY names are replaced with
-! NEC names by cpp), size of array work1 is expanded because NEC routines
-! need more memory
-!
-! Revision 1.15  2002/06/11 13:14:31  raasch
-! System specific version for IBM included (parallel case only)
-!
-! Revision 1.13  2001/01/25 22:19:18  letzel
-! All comments translated into English.
-!
-! Revision 1.12  2001/01/23 01:53:04  raasch
-! Total revision of parallel and non-paralle fft-routines. Additional
-! implementation of the singleton algorithm.
-!
-! Revision 1.9  1998/07/27 08:12:56  schroeter
-! Berechnung von l in maketri geschieht nun ausserhalb
-! der k-Schleife, da unabhaengig von k, dadurch
-! Rechenzeitersparnis
-!
-! Revision 1.8  1998/07/24 07:52:09  schroeter
-! Anpassung des Druckloesealgorithmusses an Vorgehensweise
-! von Schmidt, Schumann und Volkert
-! (DFVLR-Mitteilung 84-15, S. 20-26)
 !
 ! Revision 1.1  1997/07/24 11:24:14  raasch
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 2)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 3)
@@ -8,36 +8,9 @@
 ! Former revisions: 
 ! ----------------- 
-! $Log: poisfft_hybrid.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2004/04/30 12:43:14  raasch
 ! Renaming of fft routines, additional argument in calls of fft_y_m
-!
-! Revision 1.10  2003/08/01 08:49:30  raasch
-! Error removed: reqa=req after calling routine MPI_IRECV (cascade)
-!
-! Revision 1.9  2003/05/09 14:50:47  raasch
-! Parameters in calls of MPI_ALLTOALL, MPI_WAITALL changed in order to fulfill
-! f95 type and rank requirements
-!
-! Revision 1.8  2003/03/16 11:17:04  raasch
-! +module pegrid in poisfft_hybrid_ini
-!
-! Revision 1.7  2003/03/16 09:45:52  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.6  2003/03/16 09:11:42  raasch
-! Fortran error removed
-!
-! Revision 1.5  2003/03/14 13:45:53  raasch
-! Loop optimization in maketri_hybrid
-!
-! Revision 1.4  2003/03/12 16:37:22  raasch
-! Vectorized version (poisfft_hybrid_omp_vec) added, arguments ar and tri
-! passed to routine substi_hybrid (otherwise no vectorization and very
-! bad performance on NEC), reading of environment variable tasks_per_node
-! moved to routine parin
-!
-! Revision 1.3  2002/12/20 15:18:02  raasch
-! Variable statement restricted for parallel environment in subroutine
-! cascade
 !
 ! Revision 1.2  2002/12/19 16:08:31  raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 2)
+++ palm/trunk/SOURCE/poismg.f90	(revision 3)
@@ -12,22 +12,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: poismg.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2005/03/26 20:55:54  raasch
 ! Implementation of non-cyclic (Neumann) horizontal boundary conditions,
 ! routine prolong simplified (one call of exchange_horiz spared)
-!
-! Revision 1.5  2003/10/29 09:04:34  raasch
-! On a defined level, data are gathered on PE0 and further calculations are
-! carried out only on this PE.
-!
-! Revision 1.4  2003/03/16 09:45:57  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2001/07/23 12:00:31  raasch
-! Neumann boundary conditions for the upper boundary and Diriclet conditions
-! for the lower boundary implemented
-!
-! Revision 1.2  2001/07/20 15:21:55  raasch
-! Praeprocessor directives included for allreduce
 !
 ! Revision 1.1  2001/07/20 13:10:51  raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 2)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 3)
@@ -8,63 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: prandtl_fluxes.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.19  2006/04/26 12:24:35  raasch
 ! +OpenMP directives and optimization (array assignments replaced by DO loops)
-!
-! Revision 1.18  2006/02/23 12:49:32  raasch
-! shf, ts, rif, us, usws, vsws, qs and qsws are now defined at the actual
-! surface of the model domain, i.e. either at the bottom or at the height
-! of the topography. Thus, zu(1) is replaced
-! by zp = ( zu(nzb_[variable]_inner(j,i)+1 - zw(nzb_[variable]_inner(j,i) ),
-! [variable](1,j,i) by [variable](nzb_[variable]_inner(j,i)+1,j,i) and
-! [variable](0,j,i) by [variable](nzb_[variable]_inner(j,i)  ,j,i).
-!
-! Revision 1.17  2004/04/30 12:43:50  raasch
-! rif_m replaced by rif (they are the same when used here)
-!
-! Revision 1.16  2003/11/20 15:13:26  raasch
-! Variable name (B) changed from capital to small
-!
-! Revision 1.15  2001/03/30 07:46:47  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.14  2001/01/29 12:33:38  raasch
-! Passive scalar is considered
-!
-! Revision 1.13  2001/01/25 07:23:22  raasch
-! Range of ts is limited, since otherwise overflow may occur on REAL*4
-! machines
-!
-! Revision 1.11  2001/01/22 07:50:34  raasch
-! Module test_variables removed
-!
-! Revision 1.10  2000/04/13 13:44:41  schroeter
-! + implentation of the Prandtl layer for the total water content
-!
-! Revision 1.9  2000/01/26  14:48:48  14:48:48  letzel (Marcus Letzel)
-! correct wrong time level of rif in computation of theta*,
-! all comments translated into English
-! 
-! Revision 1.8  1998/09/22 17:27:15  raasch
-! Testweise Randbedingung fuer TKE mit cm = 0.4, aber vorerst auskommentiert
-!
-! Revision 1.7  1998/08/05 06:54:23  raasch
-! Begrenzung von rif ist jetzt variabel (rif_max, rif_min)
-!
-! Revision 1.6  1998/07/06 12:30:01  raasch
-! + USE test_variables
-!
-! Revision 1.5  1998/04/15 11:22:58  raasch
-! Berechnung von theta* ueber Oberflaechentemperatur moeglich
-!
-! Revision 1.4  1998/03/11 11:53:22  raasch
-! Zusaetzliche untere Randbedingung fuer TKE ( (u*/0.1)**2 )
-!
-! Revision 1.3  1998/02/10 15:08:53  raasch
-! Grenzfall bei labiler Schichtung ( a=1, b=1 ) wird stabil gerechnet
-! Begrenzung von rif aktiviert
-!
-! Revision 1.2  1998/02/04 16:09:29  raasch
-! Berechnung der Waermefluesse
 !
 ! Revision 1.1  1998/01/23 10:06:06  raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 2)
+++ palm/trunk/SOURCE/pres.f90	(revision 3)
@@ -8,92 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: pres.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.25  2006/04/26 13:26:12  raasch
 ! OpenMP optimization (+localsum, threadsum)
-!
-! Revision 1.24  2006/02/23 12:50:08  raasch
-! nzb replaced by nzb_.._inner, optional volume flow control, calculation of
-! divergence sum reordered due to optimization
-!
-! Revision 1.23  2005/05/18 15:53:44  raasch
-! call conditions for poisfft_hybrid modified
-!
-! Revision 1.22  2005/03/26 20:57:24  raasch
-! Adjustments for non-cyclic boundary conditions: arguments added to routine
-! exchange_horiz, mean horizontal wind parallel to the outflow is calculated.
-!
-! Revision 1.21  2004/04/30 12:45:00  raasch
-! Most of the arguments removed from poisfft call, +module poisfft_mod,
-! poisfft is also used for 1d-decompositions, more memory has to be
-! allocated for tend, when an enlarged domain is used for transposition
-!
-! Revision 1.20  2003/03/16 09:46:02  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.19  2003/03/14 13:46:32  raasch
-! Optimization of loops (IBM-version and vectorizable version)
-!
-! Revision 1.18  2003/03/12 16:38:20  raasch
-! Simulated_time has been replaced by sums(nzb+1,4) in first if clause
-! in order to avoid run time errors due to compiler bugs on ibm and nec
-! machines, due to optimization, dividing d by dt_3d is now done in the
-! first loop (not in a seperated loop),
-! error removed: tend=p added after calling sor method
-!
-! Revision 1.17  2002/06/11 13:17:03  raasch
-! Hybrid solver included, array operations on d removed due to bad performance
-! on IBM, loops including the array d are combined, OpenMP directives added.
-! Total perturbation pressure is no more obtained iteratively (p=p+tend) from
-! the current perturbation pressure.
-!
-! Revision 1.16  2001/09/04  12:05:52  12:05:52  raasch (Siegfried Raasch)
-! Value of perturbation pressure is no more obtained iteratively (p = p + tend,
-! FFT-solver only)
-! 
-! Revision 1.15  2001/07/20 13:12:54  raasch
-! Multigrid method included
-!
-! Revision 1.14  2001/03/30 07:47:29  raasch
-! All arguments removed, dp replaced by tend, array work removed from
-! sor argument list,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.13  2001/01/22 07:53:53  raasch
-! Module test_variables removed
-!
-! Revision 1.12  2000/01/26 13:23:32  letzel
-! All comments translated into English
-!
-! Revision 1.11  1998/09/22 17:28:14  raasch
-! dp war bei SOR-Aufrufen bisher nicht initialisiert, entsprechend geaendert
-!
-! Revision 1.10  1998/07/06 12:30:22  raasch
-! + USE test_variables
-!
-! Revision 1.9  1998/04/15 11:23:20  raasch
-! Testweise Zusatzbedingung fuer den Druck am unteren Rand bei inhomogener
-! Oberflaechentemperatur (pt wird uebergeben)
-!
-! Revision 1.8  1998/03/30 11:37:59  raasch
-! Divergenzsummenberechnung (PEs) nach flow_statistics verlagert
-!
-! Revision 1.7  1998/03/25 13:56:16  raasch
-! dt in dt_3d umbenannt
-!
-! Revision 1.6  1997/09/16 06:38:37  raasch
-! Ueberfluessige Initialisierung von d entfernt
-!
-! Revision 1.5  1997/09/12 06:29:56  raasch
-! Randbedingungen umbenannt
-!
-! Revision 1.4  1997/09/09 08:30:27  raasch
-! Kehrwerte der Gitterweiten implementiert
-!
-! Revision 1.3  1997/08/26 06:34:16  raasch
-! Gesamtstoerdruck p wird in Bew.gleichungen mitgerechnet und ergibt sich
-! durch Summation des aktuellen Stoerdrucks dp, mit dem hier korrigiert wird
-!
-! Revision 1.2  1997/08/11 06:25:24  raasch
-! Felder werden ueber Formalparameterliste uebergeben.
 !
 ! Revision 1.1  1997/07/24 11:24:44  raasch
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 2)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 3)
@@ -8,36 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: print_1d.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2006/02/23 12:50:43  raasch
 ! Preliminary no output of time-averaged data
-!
-! Revision 1.10  2001/03/30 07:48:24  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 20:51:40  letzel
-! All comments translated into English.
-!
-! Revision 1.8  2001/01/22 07:55:14  raasch
-! Module test_variables removed
-!
-! Revision 1.7  1998/07/06 12:31:17  raasch
-! Mittelungszeitraum wird direkt durch average_period_pr1d angegeben,
-! + USE test_variables
-!
-! Revision 1.6  1998/03/30 11:38:16  raasch
-! Ausgaben fuer die (Teil-) Gebiete
-!
-! Revision 1.5  1998/03/25 13:56:31  raasch
-! Erweiterungen fuer Gebietsstatistiken
-!
-! Revision 1.4  1998/03/18 20:18:33  raasch
-! Zusaetzliche Header werden ausgegeben
-!
-! Revision 1.3  1998/03/03 08:01:28  raasch
-! Aufruf von flow_statistics erfolgt jetzt gegebenenfalls hier
-! Ausgabe von zeitlich gemittelten Profilen
-!
-! Revision 1.2  1998/02/10 15:09:16  raasch
-! Ausdruck von Werten im w-Niveau
 !
 ! Revision 1.1  1997/09/19 07:45:22  raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 2)
+++ palm/trunk/SOURCE/production_e.f90	(revision 3)
@@ -8,87 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: production_e.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.21  2006/04/26 12:45:35  raasch
 ! OpenMP parallelization of production_e_init
-!
-! Revision 1.20  2006/02/23 12:51:25  raasch
-! nzb_2d and nzb_diff_2d replaced by nzb_s_outer and nzb_diff_s_outer
-! respectively, momentum flux calculation at vertical walls using profile
-! functions, loop rearrangement for better vectorization
-!
-! Revision 1.19  2005/06/29 08:15:33  steinfeld
-! Error in calculating u_0 and v_0 removed (multiplication instead of
-! division by 2dz)
-!
-! Revision 1.18  2004/04/30 12:45:54  raasch
-! dptdz eliminated
-!
-! Revision 1.17  2004/01/30 10:36:00  raasch
-! Velocity gradients at the surface limited (see u_0, v_0),
-! scalar lower k index nzb_diff replaced by 2d-array nzb_diff_2d
-!
-! Revision 1.16  2003/03/12 16:40:22  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.15  2002/12/19 16:16:34  raasch
-! Calculation of deformation tensor re-designed (most of the finite
-! differences are now formed over two grid spacings, errors in derivatives
-! along y removed)
-!
-! Revision 1.14  2002/09/12 13:09:44  raasch
-! Error in calculating v_0 removed
-!
-! Revision 1.13  2002/06/11 13:19:04  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! Calculation of u_0 and v_0 moved to the new subroutine production_e_init
-! due to the global communication necessary. These arrays are allocated only
-! once during the first call.
-!
-! Revision 1.12  2001/08/21 09:59:47  raasch
-! Special treatment at k=1 generally if surface fluxes are prescribed (not only
-! in case of a Prandtl layer). In these cases, the boundary conditions are
-! also included in the shear production term.
-!
-! Revision 1.11  2001/03/30 07:48:54  raasch
-! Calculation of shear production and buoyancy production is split into
-! two loops, arguments k1 and k2 are eliminated and now used as scalars,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.10  2001/01/22 07:56:19  raasch
-! Module test_variables removed
-!
-! Revision 1.9  2001/01/02 17:34:12  raasch
-! -dpt_dz_d, dpt_dz_u
-!
-! Revision 1.8  2000/07/03 13:00:24  raasch
-! Arguments k1 and k2 declared as pointers,
-! all comments tranlated into English
-!
-! Revision 1.7  2000/04/18 08:13:00  schroeter
-! Revision 1.5 rueckgaengig gemacht, Temperaturgrandient im
-! Auftriebtrem wird wieder durch zentrale Differenzen gebildet
-!
-! Revision 1.6  2000/04/13 14:24:02  schroeter
-! condsidering the influence of humidity to TKE-production
-!
-! Revision 1.5  99/02/17  09:29:18  09:29:18  raasch (Siegfried Raasch)
-! Vertikalscherung des Windes exakter formuliert
-! Temperaturgradient im Auftriebsterm enger gefasst, im stabilen Fall wird
-! jetzt das Minimum vom oberen und unteren Differenzenquotienten verwendet
-! 
-! Revision 1.4  1998/07/06 12:31:52  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/04/15 11:23:49  raasch
-! Im Fall einer Prandtl-Schicht wird die Energieproduktion bei nzb+1
-! jetzt immer mittels shf und sonst ueber dpt/dz berechnet (bisher nur bei
-! vorgegebenem Waermestrom)
-!
-! Revision 1.2  1998/02/19 07:10:51  raasch
-! vorgegebener Waermestrom wird gegebenenfalls im Auftriebsterm bei
-! k=nzb+1 direkt angegeben
 !
 ! Revision 1.1  1997/09/19 07:45:35  raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 2)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3)
@@ -8,87 +8,11 @@
 ! Former revisions:
 ! -----------------
-! $Log: prognostic_equations.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.21  2006/08/04 15:01:07  raasch
 ! upstream scheme can be forced to be used for tke (use_upstream_for_tke)
 ! regardless of the timestep scheme used for the other quantities,
 ! new argument diss in call of diffusion_e
-!
-! Revision 1.20  2006/02/23 12:52:08  raasch
-! nzb_2d replaced by nzb_u/v/w/s_inner, +z0 in argument list of diffusion_u/v/w
-!
-! Revision 1.19  2005/06/29 10:33:41  steinfeld
-! Scalars ug and vg are replaced by homonymous arrays in order to allow for
-! the consideration of a potential dependency of the geostrophic wind
-! components on height
-!
-! Revision 1.18  2005/03/26 20:58:45  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions,
-! additional arguments km_damp_x/y for diffusion_u/v/w
-!
-! Revision 1.17  2004/04/30 12:46:40  raasch
-! impulse_advec renamed momentum_advec
-!
-! Revision 1.16  2004/01/30 10:36:57  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.15  2004/01/28 15:24:35  raasch
-! Runge-Kutta schemes available, steering variables at and bt in equations
-! replaced by array sct
-!
-! Revision 1.14  2003/03/12 16:40:48  raasch
-! New routine prognostic_equations_vec, optimized for vector processors
-!
-! Revision 1.13  2002/06/11 13:20:21  raasch
-! Single node optimization: loops i and j extracted from all those
-! tendency-subroutines which do not contain communication. Some communication
-! parts moved before the i,j loops. Call of particle advection moved to
-! subroutine leap_frog.
-! Former subroutine changed to a module which contains two versions: one
-! with loop optimization for the single equations and one version with one
-! big optimized loop containing all prognostic equations.
-!
-! Revision 1.12  2002/05/02 18:54:12  raasch
-! Timelevel t+dt re-introduced, Asselin filter and exchange of ghost points
-! moved to routine leap_frog
-!
-! Revision 1.11  2002/04/16  08:12:40  08:12:40  raasch (Siegfried Raasch)
-! Particle advection will be performed only after the simulated time has
-! exceeded a user defined limit
-! 
-! Revision 1.10  2001/09/04 12:10:28  raasch
-! Exchange of ghost points added for the time filtered arrays
-!
-! Revision 1.9  2001/08/21 09:59:03  raasch
-! Calls to user-interface for tendency terms added
-!
-! Revision 1.8  2001/03/30 07:50:26  raasch
-! Timelevel t+dt eliminated, Asselin filter included in prognostic equations,
-! calling arguments eliminated or cut down from advec_s_bc, production_e,
-! advec_*_ups,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.7  2001/01/29 12:34:20  raasch
-! Passive scalar is considered
-!
-! Revision 1.6  2001/01/22 07:57:20  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/12/28 13:38:00  raasch
-! Advec_particles is called unconditionally
-!
-! Revision 1.4  2000/07/03 13:01:02  raasch
-! module pointer_interfaces added to reduce cpu-time and memory demands
-! of the compilation process, actual argument "work" eliminated from
-! parameter list of diffusion_e
-!
-! Revision 1.3  2000/04/27 07:09:57  raasch
-! Temperature offset is added at cyclic boundaries (x-direction) when using
-! a sloping surface
-!
-! Revision 1.2  2000/04/13 15:04:28  schroeter
-! prognostic equation for the total water content added, new routines:
-! calc_precipitation, impact_of_latent_heat, calc_radiation,
-! diffusion_pt renamed to diffusion_s, changes in the parameter list of
-! subroutines diffusion_e, buyoancy, production_e
 !
 ! Revision 1.1  2000/04/13 14:56:27  schroeter
Index: palm/trunk/SOURCE/random_function.f90
===================================================================
--- palm/trunk/SOURCE/random_function.f90	(revision 2)
+++ palm/trunk/SOURCE/random_function.f90	(revision 3)
@@ -1,4 +1,4 @@
  MODULE random_function_mod
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -7,10 +7,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: random_function.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.3  2003/10/29 09:06:57  raasch
 ! Former function changed to a module.
-!
-! Revision 1.2  2001/01/22 08:00:23  raasch
-! Comments translated into English
 !
 ! Revision 1.1  1998/02/04 16:09:45  raasch
@@ -22,5 +21,5 @@
 ! Random number generator, produces numbers equally distributed in interval [0,1]
 ! This routine is taken from the "numerical recipies"
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     IMPLICIT NONE
Index: palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- palm/trunk/SOURCE/random_gauss.f90	(revision 2)
+++ palm/trunk/SOURCE/random_gauss.f90	(revision 3)
@@ -8,13 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: random_gauss.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.4  2006/08/04 15:01:48  raasch
 ! Range of random number is limited by an upper limit (new second parameter)
-!
-! Revision 1.3  2003/10/29 09:08:04  raasch
-! Module random_function_mod is used
-!
-! Revision 1.2  2001/01/22 08:03:31  raasch
-! Comments translated into English
 !
 ! Revision 1.1  1998/03/25 20:09:47  raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 2)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 3)
@@ -8,14 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: read_3d_binary.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.4  2006/08/04 15:02:32  raasch
 ! +iran, iran_part
-!
-! Revision 1.3  2006/02/23 12:52:45  raasch
-! +volume_flow_area, volume_flow_initial, -hom_sum_pr,
-! reading arrays used for time-averaging
-!
-! Revision 1.2  2005/05/18 15:54:33  raasch
-! pl1d_callcount renamed dopr_time_count
 !
 ! Revision 1.1  2004/04/30 12:47:27  raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 2)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 3)
@@ -8,85 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: read_var_list.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.34  2006/08/22 14:14:27  raasch
 ! +dz_max
 !
-! Revision 1.33  2006/08/04 15:04:08  raasch
-! +first_call_advec_particles, time_dopts, use_upstream_for_tke
-!
-! Revision 1.32  2006/02/23 12:53:31  raasch
-! +building parameters, conserve_volume_flow, dissipation_1d, e_min,
-! mixing_length_1d, topography,
-! -average_count_pl, time_average_pr,
-! nt_anz renamed current_timestep_number, ..pl.. renamed ..do..
-!
-! Revision 1.31  2005/06/29 09:12:49  steinfeld
-! +ug_surface, ug_vertical_gradient, ug_vertical_gradient_level,
-! ug_vertical_gradient_level_ind, vg_surface, vg_vertical_gradient,
-! vg_vertical_gradient_level, vg_vertical_gradient_level_ind;
-! allocation of the new arrays ug and vg
-!
-! Revision 1.30  2005/06/26 20:09:42  raasch
-! +cloud_droplets
-!
-! Revision 1.29  2005/05/18 15:55:12  raasch
-! +netcdf_precision
-!
-! Revision 1.28  2005/03/26 21:01:00  raasch
-! +bc_lr, bc_ns, inflow_disturbance_begin, inflow_disturbance_end, km_damp_max,
-! outflow_damping_width
-!
-! Revision 1.27  2004/04/30 12:49:56  raasch
-! +grid_matching, impulse_advec renamed momentum_advec
-!
-! Revision 1.26  2004/01/28 15:27:33  raasch
-! at and bt replaced by array tsc
-!
-! Revision 1.25  2003/10/29 09:10:41  raasch
-! +last_dt_change
-!
-! Revision 1.24  2003/03/14 13:47:15  raasch
-! +random_generator
-!
-! Revision 1.23  2002/12/19 16:18:27  raasch
-! Array hom, which was formerly read in init_3d_model, will now be allocated
-! and read here, binary version incremented to 2.2, +time_restart,
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.22  2002/04/16 08:21:06  raasch
-! +bc_s_b, bc_s_t, surface_scalarflux, s_surface, s_surface_initial_change,
-! s_vertical_gradient, s_vertical_gradient_level
-!
-! Revision 1.21  2001/08/21 10:01:23  raasch
-! +wall_adjustment
-!
-! Revision 1.20  2001/03/30 07:51:25  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.),
-! runtime and package parameters are not read from unit 13 any more
-!
-! Revision 1.19  2001/01/29 12:35:03  raasch
-! +passive_scalar
-!
-! Revision 1.18  2001/01/25 07:24:28  raasch
-! +fft_method, use_surface_fluxes
-!
-! Revision 1.17  2001/01/05 15:16:18  raasch
-! +average_count_sp, time_dosp
-!
-! Revision 1.16  2000/12/28 13:38:46  raasch
-! Module dvrp_variables removed, -particle_transport
-!
-! Revision 1.15  2000/04/27 06:57:04  raasch
-! +dt_dvrp, dvrp_filecount, npex, npey, threshold, time_dvrp
-! -dt_plisos, dt_plpart, time_plisos, time_plpart,
-! all comments translated into English, old revision remarks deleted
-!
-! Revision 1.14  2000/04/13 13:06:16  schroeter
-! Einlesen der Initialisierungsparameter fuer Rechnungen
-! mit Feuchte/Wolkenphysik
-!
-! Revision 1.13  2000/01/10  10:06:32  10:06:32  raasch (Siegfried Raasch)
-! +use_ug_for_galilei_tr
-! 
 ! Revision 1.1  1998/03/18 20:18:48  raasch
 ! Initial revision
